searchNodes=[{"ref":"Elixirfm.html","title":"Elixirfm","type":"module","doc":"A simple wrapper for the Lastfm API."},{"ref":"Elixirfm.html#get_request/2","title":"Elixirfm.get_request/2","type":"function","doc":""},{"ref":"Elixirfm.html#t:response/0","title":"Elixirfm.response/0","type":"type","doc":""},{"ref":"Elixirfm.Album.html","title":"Elixirfm.Album","type":"module","doc":"Wrapper for Last.fm Album endpoints. Currently only supports endpoints that do not require authentication. To-do: album.getTags album.removeTag"},{"ref":"Elixirfm.Album.html#get_info/3","title":"Elixirfm.Album.get_info/3","type":"function","doc":"Get Album info."},{"ref":"Elixirfm.Album.html#get_top_tags/3","title":"Elixirfm.Album.get_top_tags/3","type":"function","doc":"Get the top tags for an album on Last.fm, ordered by popularity."},{"ref":"Elixirfm.Album.html#search/2","title":"Elixirfm.Album.search/2","type":"function","doc":"Search for an album by name. Returns album matches sorted by relevance."},{"ref":"Elixirfm.Artist.html","title":"Elixirfm.Artist","type":"module","doc":"Wrapper for Last.fm Artist endpoints. Currently only supports endpoints that do not require authentication. todo: artist.addTags artist.getTags artist.removeTags"},{"ref":"Elixirfm.Artist.html#get_correction/1","title":"Elixirfm.Artist.get_correction/1","type":"function","doc":"Use the last.fm corrections data to check whether the supplied artist has a correction to a canonical artist"},{"ref":"Elixirfm.Artist.html#get_info/2","title":"Elixirfm.Artist.get_info/2","type":"function","doc":"Get artist info"},{"ref":"Elixirfm.Artist.html#get_similar/2","title":"Elixirfm.Artist.get_similar/2","type":"function","doc":"Retrive list of Similar Artists"},{"ref":"Elixirfm.Artist.html#get_top_album/2","title":"Elixirfm.Artist.get_top_album/2","type":"function","doc":"Get Top albums for an artist, ordered by popularity"},{"ref":"Elixirfm.Artist.html#get_top_tags/1","title":"Elixirfm.Artist.get_top_tags/1","type":"function","doc":"Gets top tags for an artist on Lastfm, ordered by popularity"},{"ref":"Elixirfm.Artist.html#get_top_tracks/2","title":"Elixirfm.Artist.get_top_tracks/2","type":"function","doc":"Gets top tracks for an artist, ordered by popularity. (defaults to first 15)"},{"ref":"Elixirfm.Artist.html#search/2","title":"Elixirfm.Artist.search/2","type":"function","doc":"Search an artist"},{"ref":"Elixirfm.Auth.html","title":"Elixirfm.Auth","type":"module","doc":"Functions for authenticating a user with Last.fm"},{"ref":"Elixirfm.Auth.html#get_session/1","title":"Elixirfm.Auth.get_session/1","type":"function","doc":"get_session/1 Fetches a session key for a user. It takes either the token returned after executing request_user_auth/1 or an anonymous function that returns the callback token as a string. This is the third step in the Last.fm authentication process."},{"ref":"Elixirfm.Auth.html#request_user_auth/0","title":"Elixirfm.Auth.request_user_auth/0","type":"function","doc":"request_user_auth/0 checks if the user is logged in to Last.fm, if not they will be redirected to the login page before being asked to grant your web application permission to use their account. You can optionally specify a callback URL that is different to your API Account callback url. to do this see the request_user_auth/1 function"},{"ref":"Elixirfm.Auth.html#request_user_auth/1","title":"Elixirfm.Auth.request_user_auth/1","type":"function","doc":"request_user_auth/1 includes the query param &amp;cb=. This allows you to have users to forward to a specific part of your site after the authorization process."},{"ref":"Elixirfm.Chart.html","title":"Elixirfm.Chart","type":"module","doc":"Wrapper for Last.fm Chart endpoints."},{"ref":"Elixirfm.Chart.html#get_top_artists/1","title":"Elixirfm.Chart.get_top_artists/1","type":"function","doc":"Get the top artists chart"},{"ref":"Elixirfm.Chart.html#get_top_tags/1","title":"Elixirfm.Chart.get_top_tags/1","type":"function","doc":"Get the top tags chart"},{"ref":"Elixirfm.Chart.html#get_top_tracks/1","title":"Elixirfm.Chart.get_top_tracks/1","type":"function","doc":"Get the top tracks chart"},{"ref":"Elixirfm.Chart.html#t:chart_opts/0","title":"Elixirfm.Chart.chart_opts/0","type":"type","doc":""},{"ref":"Elixirfm.Geo.html","title":"Elixirfm.Geo","type":"module","doc":"Last.fm Geo endpoint api"},{"ref":"Elixirfm.Geo.html#get_top_artists/2","title":"Elixirfm.Geo.get_top_artists/2","type":"function","doc":"Get the most popular artists on Last.fm by country. query must be a country name, as defined by the ISO 3166-1 country names standard."},{"ref":"Elixirfm.Geo.html#get_top_tracks/2","title":"Elixirfm.Geo.get_top_tracks/2","type":"function","doc":"Get the most popular tracks on Last.fm last week by country."},{"ref":"Elixirfm.MissingApiKeyError.html","title":"Elixirfm.MissingApiKeyError","type":"exception","doc":""},{"ref":"Elixirfm.MissingSecretKeyError.html","title":"Elixirfm.MissingSecretKeyError","type":"exception","doc":""},{"ref":"Elixirfm.RequestError.html","title":"Elixirfm.RequestError","type":"module","doc":"You may receive one of the following error codes from your webservices request. Some indicate errors you may encounter in development (e.g. &quot;10: Invalid API key&quot;), and some indicate errors you may encounter and need to handle in normal operation (e.g. &quot;20: Not Enough Content&quot;) 1 : This error does not exist 2 : Invalid service - This service does not exist 3 : Invalid Method - No method with that name in this package 4 : Authentication Failed - You do not have permissions to access the service 5 : Invalid format - This service doesn&#39;t exist in that format 6 : Invalid parameters - Your request is missing a required parameter 7 : Invalid resource specified 8 : Operation failed - Most likely the backend service failed. Please try again. 9 : Invalid session key - Please r_e-authenticate 10 : Invalid API key - You must be granted a valid key by last.fm 11 : Service Offline - This service is temporarily offline. Try again later. 12 : Subscribers Only - This station is only available to paid last.fm subscribers 13 : Invalid method signature supplied 14 : Unauthorized Token - This token has not been authorized 15 : This item is not available for streaming. 16 : The service is temporarily unavailable, please try again. 17 : Login: User requires to be logged in 18 : Trial Expired - This user has no free radio plays left. Subscription required. 19 : This error does not exist 20 : Not Enough Content - There is not enough content to play this station 21 : Not Enough Members - This group does not have enough members for radio 22 : Not Enough Fans - This artist does not have enough fans for for radio 23 : Not Enough Neighbours - There are not enough neighbours for radio 24 : No Peak Radio - This user is not allowed to listen to radio during peak usage 25 : Radio Not Found - Radio station not found 26 : API Key Suspended - This application is not allowed to make requests to the web services 27 : Deprecated - This type of request is no longer supported 29 : Rate Limit Exceded - Your IP has made too many requests in a short period, exceeding our API guidelines"},{"ref":"Elixirfm.Tag.html","title":"Elixirfm.Tag","type":"module","doc":"Wrapper for Last.fm Tags endpoints"},{"ref":"Elixirfm.Tag.html#get_info/2","title":"Elixirfm.Tag.get_info/2","type":"function","doc":"Get the metadata for a tag"},{"ref":"Elixirfm.Tag.html#get_similar/1","title":"Elixirfm.Tag.get_similar/1","type":"function","doc":"Search for similar tags. Returns tags ranked by similarity, based on listening data."},{"ref":"Elixirfm.Tag.html#get_top_albums/2","title":"Elixirfm.Tag.get_top_albums/2","type":"function","doc":"Get the top albums tagged by this tag, ordered by tag count."},{"ref":"Elixirfm.Tag.html#get_top_artists/2","title":"Elixirfm.Tag.get_top_artists/2","type":"function","doc":"Get the top artists tagged by this tag, ordered by tag count."},{"ref":"Elixirfm.Tag.html#get_top_tracks/2","title":"Elixirfm.Tag.get_top_tracks/2","type":"function","doc":"Get the top tracks tagged by this tag, ordered by tag count."},{"ref":"Elixirfm.Tag.html#get_weekly_chart/1","title":"Elixirfm.Tag.get_weekly_chart/1","type":"function","doc":"Get a list of available charts for this tag, expressed as date ranges which can be sent to the chart services."},{"ref":"Elixirfm.Tag.html#top_tags/0","title":"Elixirfm.Tag.top_tags/0","type":"function","doc":"Fetches the top global tags on Last.fm, sorted by popularity (number of times used)"},{"ref":"Elixirfm.Tag.html#t:tag_opts/0","title":"Elixirfm.Tag.tag_opts/0","type":"type","doc":""},{"ref":"Elixirfm.Track.html","title":"Elixirfm.Track","type":"module","doc":"Wrapper for Last.fm Track endpoints"},{"ref":"Elixirfm.Track.html#get_correction/2","title":"Elixirfm.Track.get_correction/2","type":"function","doc":"Use the last.fm corrections data to check whether the supplied track has a correction to a canonical track."},{"ref":"Elixirfm.Track.html#get_info/3","title":"Elixirfm.Track.get_info/3","type":"function","doc":"Get the metadata for a track on Last.fm using the artist &amp; track name."},{"ref":"Elixirfm.Track.html#get_similar/3","title":"Elixirfm.Track.get_similar/3","type":"function","doc":"Get the similar tracks for this track on Last.fm, based on listening data."},{"ref":"Elixirfm.Track.html#get_tags/3","title":"Elixirfm.Track.get_tags/3","type":"function","doc":"Get the tags applied by an individual user to a track on Last.fm. To retrieve the list of top tags applied to a track by all users use .getTopTags."},{"ref":"Elixirfm.Track.html#get_top_tags/2","title":"Elixirfm.Track.get_top_tags/2","type":"function","doc":"Get the top tags for this track on Last.fm, ordered by tag count."},{"ref":"Elixirfm.User.html","title":"Elixirfm.User","type":"module","doc":"Last.fm User Enpoints"},{"ref":"Elixirfm.User.html#get_artist_tracks/3","title":"Elixirfm.User.get_artist_tracks/3","type":"function","doc":"Get a list of tracks by a given artist scrobbled by this user, including scrobble time. Can be limited to specific timeranges, defaults to all time. start and end times not implemented yet"},{"ref":"Elixirfm.User.html#get_friends/2","title":"Elixirfm.User.get_friends/2","type":"function","doc":"Get a list of the user&#39;s friends on Last.fm."},{"ref":"Elixirfm.User.html#get_info/1","title":"Elixirfm.User.get_info/1","type":"function","doc":"Get a user&#39;s profile infomation."},{"ref":"Elixirfm.User.html#get_loved_tracks/2","title":"Elixirfm.User.get_loved_tracks/2","type":"function","doc":"Get the last 50 tracks loved by a user."},{"ref":"Elixirfm.User.html#get_recent_tracks/2","title":"Elixirfm.User.get_recent_tracks/2","type":"function","doc":"Get a list of the recent tracks listened to by this user. Also includes the currently playing track with the nowplaying=&quot;true&quot; attribute if the user is currently listening. extended argument accepts 1 or 0 as true or false to and from arguments not implemented yet"},{"ref":"Elixirfm.User.html#get_top_albums/2","title":"Elixirfm.User.get_top_albums/2","type":"function","doc":"Get the top albums listened to by a user. You can stipulate a time period. Sends the overall chart by default. peroid argument acceptes: overall | 7day | 1month | 3month | 6month | 12month"},{"ref":"Elixirfm.User.html#get_top_artists/2","title":"Elixirfm.User.get_top_artists/2","type":"function","doc":"Get the top artists listened to by a user. You can stipulate a time period. Sends the overall chart by default."},{"ref":"Elixirfm.User.html#get_top_tags/2","title":"Elixirfm.User.get_top_tags/2","type":"function","doc":"Get the top tags used by this user."},{"ref":"Elixirfm.User.html#get_top_track/2","title":"Elixirfm.User.get_top_track/2","type":"function","doc":"Get the top tracks listened to by a user. You can stipulate a time period. Sends the overall chart by default."},{"ref":"Elixirfm.User.html#get_weekly_charts/1","title":"Elixirfm.User.get_weekly_charts/1","type":"function","doc":"Get a list of available charts for this user, expressed as date ranges which can be sent to the chart services."},{"ref":"Elixirfm.User.html#t:recent_track_arg/0","title":"Elixirfm.User.recent_track_arg/0","type":"type","doc":""},{"ref":"Elixirfm.User.html#t:recent_track_args/0","title":"Elixirfm.User.recent_track_args/0","type":"type","doc":""},{"ref":"readme.html","title":"Elixirfm","type":"extras","doc":"Elixirfm Last.fm API wrapper for Elixir. (Documentation) Currently supports all non-authenticated endpoints. Installation The package can be installed by: Add elixirfm to your list of dependencies in mix.exs: def deps do [{:elixirfm, &quot;~&gt; 0.1.0&quot;}] end Ensure elixirfm is started in your application: def application do [ applications: [ :elixirfm ] ] end Configure API key for LastFm&#39;s API by setting Application var in your config config :elixirfm, api_key: &quot;&lt;your API key&gt;&quot; secret_key: &quot;&lt;your SECRET key&gt;&quot; or by setting system env var with $ export LASTFM_SECRET_KEY=&quot;&lt;your SECRET key&gt;&quot; LASTFM_API_KEY=&quot;&lt;your API key&gt;&quot;"}]